Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class SlicerBuilderDecorator

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.PartBuilderDecorator
              com.tonbeller.jpivot.table.SlicerBuilderDecorator

All Implemented Interfaces:
  PartBuilder, SlicerBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public abstract class SlicerBuilderDecorator

extends PartBuilderDecorator
implements SlicerBuilder

Created on 18.10.2002

Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`SlicerBuilderDecorator(SlicerBuilder delegate)`

Method Summary
`org.w3c.dom.Element` | `build(Member m)`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderDecorator
`destroy, initialize, startBuild, stopBuild`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`getBookmarkState, isAvailable, setBookmarkState, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, startBuild, stopBuild`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### SlicerBuilderDecorator

    public SlicerBuilderDecorator(SlicerBuilder delegate)

Method Detail

### build

    public org.w3c.dom.Element build(Member m)

  Specified by:
    `build` in interface `SlicerBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD